# Uses of Enum Class
org.jdesktop.application.utils.PlatformType

Packages that use PlatformType
Package
Description
org.jdesktop.application
org.jdesktop.application.utils

## Uses of PlatformType in org.jdesktop.application

Methods in org.jdesktop.application that return PlatformType
Modifier and Type
Method
Description
`PlatformType`
ResourceManager.`getPlatform()`
The value of the special Application ResourceMap resource named "platform".
`PlatformType`
ResourceMap.`getPlatform()`
Methods in org.jdesktop.application with parameters of type PlatformType
Modifier and Type
Method
Description
`void`
ResourceManager.`setPlatform(PlatformType platform)`
Defines the value of the special Application ResourceMap resource named "platform".
`void`
ResourceMap.`setPlatform(PlatformType platform)`

## Uses of PlatformType in org.jdesktop.application.utils

Methods in org.jdesktop.application.utils that return PlatformType
Modifier and Type
Method
Description
`static PlatformType`
AppHelper.`getPlatform()`
Determines a platform type the application is running on.
`static PlatformType`
PlatformType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlatformType[]`
PlatformType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.